aboutsummaryrefslogtreecommitdiff
path: root/emulators/linux_base-8/pkg-install
diff options
context:
space:
mode:
authorSheldon Hearn <sheldonh@FreeBSD.org>2000-08-15 10:22:36 +0000
committerSheldon Hearn <sheldonh@FreeBSD.org>2000-08-15 10:22:36 +0000
commit4e28d4de05080ad0b7b8856a3d4b645e47378d55 (patch)
treea7c667b9dd9e0be60fd47ff3bf6068ea94e1b149 /emulators/linux_base-8/pkg-install
parentbd9d1979dda9036d0ce5451e12ac694a83fc8880 (diff)
downloadports-4e28d4de05080ad0b7b8856a3d4b645e47378d55.tar.gz
ports-4e28d4de05080ad0b7b8856a3d4b645e47378d55.zip
Notes
Diffstat (limited to 'emulators/linux_base-8/pkg-install')
-rw-r--r--emulators/linux_base-8/pkg-install17
1 files changed, 17 insertions, 0 deletions
diff --git a/emulators/linux_base-8/pkg-install b/emulators/linux_base-8/pkg-install
new file mode 100644
index 000000000000..c06d66890859
--- /dev/null
+++ b/emulators/linux_base-8/pkg-install
@@ -0,0 +1,17 @@
+#!/bin/sh
+# an installation script for linux_base
+
+case "$2" in
+PRE-INSTALL)
+ if [ -z "`kldstat -v | grep -E 'linux(aout|elf)'`" ]; then
+ echo 'Linux mode is not enabled.'
+ echo 'Loading linux kernel module now...'
+ if ! kldload linux; then
+ echo 'The linux kernel module could not be loaded.'
+ echo 'Please enable linux mode manually and retry.'
+ exit 1
+ fi
+ fi
+esac
+
+exit 0